---
# This file is licensed under the MIT License (MIT) available on
# http://opensource.org/licenses/MIT.

type: posts
layout: post
category: blog

title: "Site Updates In March 2015"
permalink: /en/posts/site-updates-april-2015.html
date: 2015-04-01
author: >
  David A. Harding (<a href="mailto:dave@dtrt.org">email</a>, <a
  href="https://github.com/harding">GitHub</a>,
  <a href="http://www.reddit.com/user/harda/">Reddit</a>)
---

*Thanks to [our
volunteers](https://github.com/bitcoin-dot-org/bitcoin.org/graphs/contributors?from=2015-03-01&to=2015-03-31&type=c)
and the financial sponsorship of [The Bitcoin
Foundation](https://bitcoinfoundation.org/), we made the following
accomplishments this month.*

* **No more broken links:** all internal links on Bitcoin.org's 834 pages
  are now automatically checked by [HTML Proofer][] through our [Travis
  Continuous Integration (CI)][] infrastructure. We plan to enable HTML
  Proofer's HTML validation subroutine in the future to provide even
  better quality assurance. Thanks to HTML Proofer author [Garen
  Torikian][] for writing such a great tool!

* **Coinapult wallet** was briefly removed from the Bitcoin.org [Choose Your
  Wallet][] page after they suffered a security breach. After restoring
  full services to their customers and assuring us that customer
  deposits are safe, we re-added them.

* **KnC wallet** has been removed from the Choose Your Wallet page after
  multiple issues, including an abandoned website, no new commits to
  [their codebase][] in several months, and reports that their iOS app
  no longer worked. (In positive news, we have received reports that it
  is still possible to recover funds from the wallet seed.)

* **Translations** were updated thanks to translation volunteers on
  [Transifex][].

* **Seven new events** were added. Please check the [Events page][] to see
  whether there are any interesting Bitcoin meetups or conferences in
  your area.

* **New pages & features:** a [developer documentation][] glossary
  section and Javascript-based search engine were [proposed][] but not
  quite finished by the end of the month.

## Site Traffic

According to or [website statistics][], 4.3 million people visited the
website in March.  However, as seen in the illustration below, there was
a suspicious spike in visits that look like a possible attempt at
[referer spam][] (even though we don't publish referer information).
Almost all of the suspicious traffic was directed at the Spanish, Dutch,
and French Bitcoin.org home pages, leaving statistics for the rest of
the site fairly accurate.

We suspect the accurate number of unique visitors in March was around
2.0 million, roughly the same as in February.

![March traffic statistics graph](/img/blog/free/stats-2015-03.png)

Notable traffic patterns this month included:

* The [Full Node Guide][] first released last month received over 8,000
  page views, a surprisingly high number for a new technical document.
  Hopefully this is a sign that users really want to run full nodes for
  themselves.

* The [Choose Your Wallet page][] continues to receive over 130,000 page
  views a month, as it keeps on trying to help novice users choose
  their first Bitcoin wallet.

* The [Bitcoin Core Download page][] has just as many page views as it
  did last month (75,000) when Bitcoin Core 0.10.0 was released.  If you
  haven't upgraded yet to get new features like [headers-first block
  sync][] and [lower vulnerability to OpenSSL code changes][], take some
  time to read the [0.10.0 release notes][] to see what you're missing.

## Thank You Volunteers!

Special thanks to the 19 volunteers who contributed and commented
through [GitHub][] this month: anthonyc0603, arvicco, barmstrong,
Bitcoinference, borisstankovic, ConsumersResearch, dajohi, dquintela,
Firescar96, FrancisPouliot, gurnec, harding, larshesel, LinusU, louisjc,
luke-jr, muresanroland, pstratem, and saivann.

[HTML proofer]: https://github.com/gjtorikian/html-proofer
[Travis continuous integration (CI)]: https://travis-ci.org/bitcoin-dot-org/bitcoin.org
[Garen Torikian]: https://github.com/gjtorikian
[Choose Your Wallet]: /en/choose-your-wallet
[Transifex]: https://www.transifex.com/projects/p/bitcoinorg/
[Events page]: /en/events
[developer documentation]: /en/developer-documentation
[proposed]: https://github.com/bitcoin-dot-org/bitcoin.org/pull/793
[GitHub]: https://github.com/bitcoin-dot-org/bitcoin.org#how-to-participate
[their codebase]: https://github.com/kncgroup/bitcoin-wallet
[full node guide]: /en/full-node
[CHoose your wallet page]: /en/choose-your-wallet
[Bitcoin core download page]: /en/download
[headers-first block sync]: /en/developer-guide#headers-first
[lower vulnerability to OpenSSL code changes]: https://github.com/bitcoin/bips/blob/master/bip-0066.mediawiki
[0.10.0 release notes]: /en/release/v0.10.0
[website statistics]: https://bitcoin.org/stats/2015-03.html
[referer spam]: https://en.wikipedia.org/wiki/Referer_spam
