---
# This file is licensed under the MIT License (MIT) available on
# http://opensource.org/licenses/MIT.

type: posts
layout: post
category: blog

title: "New Bitcoin Core Sub-Site"
permalink: /en/posts/bitcoin-core-subsite.html
## Set correct date at merge
date: 2015-09-14
author: |
  <a href="https://github.com/harding">David A. Harding</a>
---

Bitcoin.org is proud to announce the addition of a dozen new pages to
the site about [Bitcoin Core][].  Several of the pages describe [Bitcoin
Core's powerful features][], others [provide help][] for Bitcoin Core
users, and several make it easier to [start contributing][] to
Bitcoin Core.

{:.center}
![Excerpts from Bitcoin.org's Bitcoin Core pages](/img/blog/free/bitcoin-core-pages-collage.png)

{:.center}
*Excerpts from Bitcoin.org's <a href="/en/bitcoin-core/">Bitcoin Core</a> pages*

Both Bitcoin Core and Bitcoin.org have come a long way since the site
began promoting the earliest public versions of the software.

{:.center}
![Bitcoin.org homepage, 3 March 2009](/img/blog/free/bitcoin-org-2009-03-03.png)

{:.center}
*Bitcoin.org homepage, 3 March 2009 ([Internet Archive][])*

These new pages give us a chance to introduce more recent Bitcoin users
to the advantages of full nodes like Bitcoin Core, particularly how full
validation [helps protect Bitcoin's essential decentralization][] from
takeover by a handful of miners, Bitcoin banks, and service providers.

## A Brief Guide to The New Pages

- [Bitcoin Core overview][]: provides a brief description of Bitcoin
  Core and links to the other sections of the sub-site.

- [Feature overview][]: briefly describes some of Bitcoin Core's
  leading benefits and links to pages that provide more details.

- [Get help page][]: resources to help Bitcoin Core users find help.
  Prior to this PR, we also created and filled a category on the Bitcoin
  Wiki with all the existing [Bitcoin Core help pages][].

- [Contribute overview][]: links to ways you can directly contribute to
  Bitcoin Core and Bitcoin Core users.

## Future Plans

We plan to enhance this new section of the Bitcoin.org website by
collecting together some of Bitcoin Core's disparate documentation and
providing instructions for important ways users can enhance their privacy and
security while using Bitcoin Core—such as using Tor and an offline
wallet.

In addition, we hope to provide more resources that help businesses
understand the benefits of validating the transactions they receive with
their own full nodes.

If you want to help, please feel free to email the Bitcoin.org
documentation maintainer,
{{site.text.bitcoin_org_docs_maintainer_email_link}}.

## Thank You

Thank you to everyone who made these pages possible, especially the
people who reviewed Bitcoin.org pull requests [1044][],
[1009][], [1007][], [966][], [957][], and [869][] as well as the
[Bitcoin Foundation][] for their funding of the Bitcoin.org server
during the time these pages were written.

We hope you enjoy the new pages.  If you see any problems, please don't
hesitate to [open an issue][].

[Bitcoin Core]: /en/bitcoin-core/
[Bitcoin Core's powerful features]: /en/bitcoin-core/features/
[provide help]: /en/bitcoin-core/help
[start contributing]: /en/bitcoin-core/contribute/
[Internet Archive]: https://web.archive.org/web/20090303195936/http://bitcoin.org/
[helps protect Bitcoin's essential decentralization]: /en/bitcoin-core/features/validation#help-protect-decentralization
[bitcoin core overview]: /en/bitcoin-core/
[feature overview]: /en/bitcoin-core/features/
[get help page]: /en/bitcoin-core/help
[Bitcoin Core help pages]: https://en.bitcoin.it/wiki/Category:Bitcoin_Core_documentation
[contribute overview]: /en/bitcoin-core/contribute/
[1044]: https://github.com/bitcoin-dot-org/bitcoin.org/pull/1044
[1009]: https://github.com/bitcoin-dot-org/bitcoin.org/pull/1009
[1007]: https://github.com/bitcoin-dot-org/bitcoin.org/pull/1007
[966]: https://github.com/bitcoin-dot-org/bitcoin.org/pull/966
[957]: https://github.com/bitcoin-dot-org/bitcoin.org/pull/957
[869]: https://github.com/bitcoin-dot-org/bitcoin.org/pull/869
[Bitcoin Foundation]: https://bitcoinfoundation.org/
[open an issue]: https://github.com/bitcoin-dot-org/bitcoin.org/issues/new
