---
# This file is licensed under the MIT License (MIT) available on
# http://opensource.org/licenses/MIT.

type: posts
layout: post
category: blog

title: "Bitcoin Exchanges: Options for Newcomers to Bitcoin Now Available"
permalink: /en/posts/bitcoin-exchanges-options-for-newcomers.html
date: 2017-02-03
author: |
  <a href="https://github.com/wbnns">Will Binns</a>
---

{:.center}
![Bitcoin Exchanges](/img/blog/free/bitcoin-exchanges.png)

[A directory of Bitcoin Exchanges servicing the world’s 20 largest
economies](https://bitcoin.org/en/exchanges), as well as several international
options (serving many countries) are now available on Bitcoin.org.

## Helping People Interested in Bitcoin, Get Bitcoin
This new addition to the site:

- Links to the `Find an Exchange` button on the [Getting Started](https://bitcoin.org/en/getting-started)
page and helps many of the new people entering the Bitcoin ecosystem via
Bitcoin.org, get bitcoin.
- Improves SEO for Bitcoin.org, because the site can now potentially rank very
well for “Bitcoin Exchange” as well as other key phrases that include country
names that are contained on the page (i.e. Bitcoin Exchange China, Bitcoin
Exchange India, etc.).
- Has unique anchor links for each country that people can share on social media
that will allow others to find the bitcoin exchanges that are available for
their specific country.
- Allows Bitcoin.org to focus the [wallets page](https://bitcoin.org/en/choose-your-wallet)
on wallets that allow people to maintain full control over their funds
(Resolving [issue #1109](https://github.com/bitcoin-dot-org/bitcoin.org/issues/1109),
because custodial wallets that provide exchange services can be moved off of the
wallets page to this new page).
- Is also accessible via the Resources `dropdown` menu.

## Questions, Comments & Feedback
Questions, issues, suggestions or feedback are always welcome on Bitcoin.org. If
interested in contributing in this regard, please open an issue or submit a pull
request.

## Use Discretion when Choosing an Exchange
As noted in the above screen shot, Bitcoin Exchanges provide varying degrees of
safety, security, privacy, and control over your funds and information. Perform
your own due diligence and choose a wallet where you will keep your bitcoin
before selecting an exchange.

=== === ===

Interested in getting involved with Bitcoin.org?

[Learn how you can participate](https://github.com/bitcoin-dot-org/bitcoin.org#how-to-participate).
